import { useDispatch } from "react-redux"
import { useEffect } from "react"
import { AppDispatch } from "../stores/store"
import { Heading, HStack, Spinner } from "native-base"
import { logout } from "../stores/reducers/userSlice"

const Logout = () => {
    const dispatch = useDispatch<AppDispatch>();

    useEffect(() => {
        dispatch(logout())
    }, [dispatch])

    return (
        <>
            <HStack space={2} justifyContent="center">
                <Spinner
                    accessibilityLabel="Loading logout"
                    color="primary.50"
                />
                <Heading color="primary.50" fontSize="md">
                    Loading
                </Heading>
            </HStack>
        </>
    )
}

export default Logout
